QGIS Application - Bug report #18937
Qgis 3 can't properly load gml files.
2018-05-11 09:10 PM - Jorge Almaraz

Status: Open

Priority: Normal
Assignee:

Category: Data Provider
Affected QGIS version:3.0.2

Operating System: windows and linux

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 26769

Description

Some gml files can't be properly loaded by the last version of qgis.The previous versién of Qgis(2.18) load them correctly.
To reproduce this bug you can try to load any gml file from the spanish cadastre web:
http://www.catastro.minhap.es/INSPIRE/CadastralParcels/10/ES.SDGC.CP.atom_10.xml

History

#1 - 2018-05-16 10:56 AM - Saber Razmjooei
- File gml.png added

Works fine for me.
Could you check your gdal/ogr version?

#2 - 2018-05-16 10:56 AM - Saber Razmjooei
- Status changed from Open to Feedback

#3 - 2018-05-16 06:52 PM - Jorge Almaraz
- Status changed from Feedback to Open
- File layer_properties.png added

From "Aboud Qgis"

QGIS version 3.0.2-Girona

QGIS code branchRelease 3.0

Compiled against Qt 5.10.1

Running against Qt 5.10.1

Compiled against GDAL/OGR 2.2.4
Running against GDAL/OGR 2.2.4
Compiled against GEOS 3.6.2-CAPI-1.10.2
Running against GEOS 3.6.2-CAPI-1.10.2 4d2925d6
PostgreSQL Client Version 10.3

SpatialLite Version 4.3.0a

QWT Version 6.1.3

QScintilla2 Version 2.10.4

PROJ.4 Version 493
http://www.catastro.minhap.es/INSPIRE/CadastralParcels/10/ES.SDGC.CP.atom_10.xml

gml.png 25 KB 2018-05-16 Saber Razmjooei
layer_properties.png 29 KB 2018-05-16 Jorge Almaraz
